Bug 83117 - joe is no longer binary safe
joe is no longer binary safe
Product: Red Hat Linux
Classification: Retired
Component: joe (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2003-01-30 09:28 EST by Oskari Saarenmaa
Modified: 2015-01-07 19:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-06 13:51:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Oskari Saarenmaa 2003-01-30 09:28:18 EST
Description of problem:
The old joe 2.8 used to be binary safe, even though it wasn't neccessarily
suitable for editing binaries, you could view and search them with it.

The new versions of joe (at least version 2.9.7) mangle my screen if I open a
binary file for editing.

How reproducible:

Steps to Reproduce:
1. joe /usr/bin/joe
Comment 1 Lon Hohberger 2003-01-30 10:28:19 EST
I have reproduced this problem.  I'm not yet convinced that it is joe; the
screen gets mangled differently depending on the terminal type -- for instance:

joe /usr/bin/joe   (on a virtual terminal)

gets different output then the same command run in an xterm, which is different
from what is displayed in konsole.  Could you name a previous version of joe in
which editing binaries worked so I can double-check its behavior on RHL 8.0?

In the meantime, hexedit and grep are probably more suitable for searching
binary files - joe was never really designed with binary editing in mind.
Comment 2 Oskari Saarenmaa 2003-01-30 11:03:25 EST
I'm using joe mostly under gnome-terminal, on both RHL 7.3 and 8.0.

The old version (2.8, released in 1995) of joe edits binary files happily, it
was included in RHL 6.2, and is also available at

I'm aware that joe isn't designed for editing binaries, but it is annoying to
get your terminal mangled if you accidentally open a binary file, especially
when it used to work okay with them.  And actually 'joe foobar.o' is often nicer
to use than strings foobar.o | egrep ...

I guess the new version of joe doesn't filter out some terminal control codes in
the files it displays, and those get passed to the terminal which does things it
Comment 3 Lon Hohberger 2003-02-18 16:48:56 EST
You can also try disabling -asis on line 27 of joerc (put a space in front of
it).  This might help the mangling problems.
Comment 4 Oskari Saarenmaa 2003-02-19 11:16:07 EST
Ah, yes, that fixes the problem.  Didn't realize the new version of joe had
different default configuration.

Disabling -asis causes the scandinavic characters not to show up right though.
Maybe this bug report should be changed to an enhancement request for an option
which only filters out the screen control characters.
Comment 5 Lon Hohberger 2003-08-04 18:51:02 EDT
It is probably better to allow joe to use UTF-8 locale encoding the way the rest
of the Red Hat Linux distribution does.  Unfortunately, it will probably require
a substantial rewrite.  I haven't heard one way or the other whether or not the
maintainers were going to look into this, so I asked on their mailing list.

Check out joe's homepage:

Comment 6 Lon Hohberger 2003-10-06 13:51:24 EDT
I'll try and get this up and going for joe-3.0.0 if possible; for now I'm going
to mark as 'wontfix' since a workaround exists (even though it's annoying).

Note You need to log in before you can comment on or make changes to this bug.